function fig = vypocti()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.
global jazyk pocet_vrstev scrsz;
texty=[{'Vrstvy 1.0','erven: T, mode: r'};
{'Layers 1.0','red: T, blue: ro'}];

e=[];
l=[];
for i=pocet_vrstev:-1:1     %prohozen poad vrstev
    e=[e str2num(get(findobj('Tag',['p_vrstva' num2str(i)]),'String'))];
    l=[l str2num(get(findobj('Tag',['d_vrstva' num2str(i)]),'String'))];
end

%frekvence [MHz]
f=str2num(get(findobj('Tag','stred'),'String'));

%sirka pasma [MHz]
sirka=str2num(get(findobj('Tag','sirka'),'String'));

%pocet rozhrani
I=pocet_vrstev-1;


%pocet vkladanych vrstev mezi vstupni a vystupni prostredi
%pocet_vnitrnich_vrstev=I-1;

%vysledna intenzita E na konci
konst=1;

%souradnice jednotlivych rozhrani, nula je v levo
x_rozhrani(1)=l(1);
for i=2:(I+1)
	x_rozhrani(i)=l(i)+x_rozhrani(i-1);
end

%rozsah rozmitani [MHz]
f_min=f-sirka/2;
if f_min<0
   f_min=f/1000;
end
f_max=f_min+sirka;

poc_bodu=100;

%vlnova delka ve vakuu v mm
lambda0=300/f*1000;

%vlnove cislo
k0=2*pi/lambda0;

%charakteristicka impedance 
Z0=120*pi./sqrt(e);

%vlnove cislo pro jednotliva prostredi
%oprava vypoctu pro pripad pocitani s mi
k=k0*sqrt(e);
for i=1:I+1;
	if e(i)<1
		k(i)=k(i)/e(i);
	end
end

%delka vlny pro jednotliva prostredi
lambda=2*pi./k;

%vypocet na stredni frekvenci
[ro,PSV]=vypoc_v(I,f,e,l);

ro(I+1)=0;

% tvorba pole vzdalenosti
t=2;
pole_vzd(1)=0;
cislo_vrstvy(1)=1;
for i=1:(I+1)
	jj=round(l(i)/lambda(i)*100);
	delta=l(i)/jj;
	for j=1:jj
		pole_vzd(t)=pole_vzd(t-1)+delta;
		cislo_vrstvy(t)=i;
		t=t+1;
	end
end

% tvorba pole intenzit v jednotlivych vzdalenostech
s=size(pole_vzd);

last=cislo_vrstvy(s(2));
E(s(2))=konst;
Edop(s(2))=E(s(2));
Eodr(s(2))=0;
x_rozhrani;
H(s(2))=(Edop(s(2))-Eodr(s(2)))/Z0(cislo_vrstvy(s(2)));

for i=(s(2)-1):-1:1
   change=last-cislo_vrstvy(i);
   Edop(i)=Edop(i+1)*exp(-sqrt(-1)*k(cislo_vrstvy(i))*(pole_vzd(i)-pole_vzd(i+1)));
   Eodr(i)=Eodr(i+1)*exp(sqrt(-1)*k(cislo_vrstvy(i))*(pole_vzd(i)-pole_vzd(i+1)));
   E(i)=Edop(i)+Eodr(i);
   if change~=0 
  		Edop(i)=E(i)/(1+ro(cislo_vrstvy(i)));
      Eodr(i)=ro(cislo_vrstvy(i))/(1+ro(cislo_vrstvy(i)))*E(i);
      E(i)=Edop(i)+Eodr(i);
   
   end   
   H(i)=(Edop(i)-Eodr(i))/Z0(cislo_vrstvy(i));
last=cislo_vrstvy(i);   
end

%vypocet transmitance T

T=1-(abs(ro(1)))^2;

%zavislost PSV,ro a transmitance T na frekvenci

krok=(f_max-f_min)/poc_bodu;
pole_PSV=zeros(1,poc_bodu);
pole_ro=zeros(1,poc_bodu);
pole_frek=zeros(1,poc_bodu);

for i=1:poc_bodu
	f=f_min+(i-1)*krok;
	pole_frek(i)=f;
	[ro,PSV]=vypoc_v(I,f,e,l);

	pole_ro(i)=ro(1);
	pole_PSV(i)=PSV(1);
	pole_T(i)=1-(abs(ro(1)))^2;
end

load vypocti

set(findobj('Tag','tl_zavri'),'Enable','On')

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'FileName','..\vypocti.m', ...
	'MenuBar','none', ...
	'Name',texty{jazyk,1}, ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[scrsz(3)/2-252 scrsz(4)/2-241 504 482], ...
	'Tag','grafy', ...
	'Resize','off', ...
	'ToolBar','none', ...
    'DeleteFcn','zavirani', ...
	'DefaultaxesColorOrder',mat1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[500 475 20 15], ...
	'String','osay - axes y', ...
	'Style','text', ...
	'Tag','vysledky');
h1 = axes('Parent',h0, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'Color',[1 1 1], ...
	'ColorOrder',mat2, ...
	'Position',[0.13 0.58 0.72 0.34], ...
	'Tag','Axes4', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'XLimMode','auto', ...
	'YColor',[0 0 1], ...
	'YGrid','on', ...
	'YLimMode','auto', ...
	'YTickMode','auto', ...
	'ZColor',[0 0 0]);
h2 = line('Parent',h1, ...
	'Color',[0 0 1], ...
	'Tag','Axes4Line1', ...
	'XData',pole_vzd, ...
	'YData',abs(E));
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'DeleteFcn','eval(''delete(get(gcbo,''''userdata''''))'','''')', ...
	'HandleVisibility','off', ...
	'Tag','PlotyyDeleteProxy', ...
	'UserData',15.0028076171875, ...
	'Visible','off');
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[149.171270718232 0.999999999755828 17.3205080756888], ...
	'String','l [mm]', ...
	'Tag','Axes4Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 1], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-14.9171270718232 0.999999999947239 17.3205080756888], ...
	'Rotation',90, ...
	'String','E [V/m]', ...
	'Tag','Axes4Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',mat5, ...
	'Tag','Axes4Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[149.171270718232 1.000000000112884 17.32050807568877], ...
	'Tag','Axes4Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = axes('Parent',h0, ...
	'CameraUpVector',[0 1 0], ...
	'Color','none', ...
	'ColorOrder',mat6, ...
	'Position',[0.13 0.58 0.72 0.34], ...
	'Tag','Axes3', ...
	'XColor',[0 0 0], ...
	'XLimMode','auto', ...
	'YAxisLocation','right', ...
	'YColor',[0 0.5 0], ...
	'YLimMode','auto', ...
	'YTickMode','auto', ...
	'ZColor',[0 0 0]);
h2 = line('Parent',h1, ...
	'Color',[0 0.5 0], ...
	'Tag','Axes3Line1', ...
	'XData',pole_vzd, ...
	'YData',abs(H));
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'DeleteFcn','eval(''delete(get(gcbo,''''userdata''''))'','''')', ...
	'HandleVisibility','off', ...
	'Tag','PlotyyDeleteProxy', ...
	'UserData',17.00341796875, ...
	'Visible','off');
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[149.171270718232 0.002652582383779141 17.32050807568877], ...
	'Tag','Axes3Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0.5 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[339.7790055248618 0.002652582384745398 17.32050807568877], ...
	'Rotation',270, ...
	'String','H [A/m]', ...
	'Tag','Axes3Text3', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-54.69613259668508 0.002652582385840491 17.32050807568877], ...
	'Tag','Axes3Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[149.171270718232 0.002652582385564417 17.32050807568877], ...
	'Tag','Axes3Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = axes('Parent',h0, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'Color',[1 1 1], ...
	'ColorOrder',mat9, ...
	'NextPlot','add', ...
	'Position',[0.13 0.11 0.72 0.34], ...
	'Tag','Axes2', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'XLimMode','auto', ...
	'YColor',[0 0 1], ...
	'YGrid','on', ...
	'YLimMode','auto', ...
	'YTickMode','auto', ...
	'ZColor',[0 0 0]);
h2 = line('Parent',h1, ...
	'Color',[1 0 0], ...
	'Tag','Axes2Line2', ...
	'XData',pole_frek, ...
	'YData',pole_T);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[596.685082872928 -0.1481481481481479 17.32050807568877], ...
	'String','f [MHz]', ...
	'Tag','Axes2Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 1], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-96.13259668508287 0.4938271604938271 17.32050807568877], ...
	'Rotation',90, ...
	'String','ro, T [-]', ...
	'Tag','Axes2Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = line('Parent',h1, ...
	'Color',[0 0 1], ...
	'Tag','Axes2Line1', ...
	'XData',pole_frek, ...
	'YData',abs(pole_ro));
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'DeleteFcn','eval(''delete(get(gcbo,''''userdata''''))'','''')', ...
	'HandleVisibility','off', ...
	'Tag','PlotyyDeleteProxy', ...
	'UserData',26.000732421875, ...
	'Visible','off');
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-218.7845303867403 2.62962962962963 17.32050807568877], ...
	'Tag','Axes2Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[596.685082872928 1.04320987654321 17.32050807568877], ...
	'Tag','Axes2Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = axes('Parent',h0, ...
	'CameraUpVector',[0 1 0], ...
	'Color','none', ...
	'ColorOrder',mat14, ...
	'Position',[0.13 0.11 0.72 0.34], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'XLimMode','auto', ...
	'YAxisLocation','right', ...
	'YColor',[0 0.5 0], ...
	'YLimMode','auto', ...
	'YTickMode','auto', ...
	'ZColor',[0 0 0]);
h2 = line('Parent',h1, ...
	'Color',[0 0.5 0], ...
	'Tag','Axes1Line1', ...
	'XData',pole_frek, ...
	'YData',pole_PSV);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'DeleteFcn','eval(''delete(get(gcbo,''''userdata''''))'','''')', ...
	'HandleVisibility','off', ...
	'Tag','PlotyyDeleteProxy', ...
	'UserData',28.0009765625, ...
	'Visible','off');
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[596.685082872928 0.9999999997407409 17.32050807568877], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0.5 0], ...
	'HandleVisibility','on', ...
	'HorizontalAlignment','center', ...
	'Position',[1253.038674033149 0.9999999999975311 17.32050807568877], ...
	'Rotation',270, ...
	'String','PSV - SWR [-]', ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-218.7845303867403 1.000000000851852 17.32050807568877], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[596.685082872928 1.000000000217284 17.32050807568877], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[3 3 100 15], ...
	'String',texty{jazyk,2}, ...
	'Style','text', ...
	'Tag','StaticText1');

if nargout > 0, fig = h0; end